#!/bin/sh

appdest="/volume1/home/rjanderson/hereiam/bin/test_server.py -d"
filedir=/volume1/home/rjanderson/hereiam/bin/pidfile.pid


case $1 in

        start)
                echo "Starting hereIam..."
                # hereIam app binary
                $appdest &
				var=$!
				
				if [ -f "$filedir" ]
				then 
					> "$filedir"
				else
					touch "$filedir"
				fi

				echo $var > "$filedir"
                ;;

        stop)
				# stop the process
                echo "Stopping ..."
                kill $(cat $filedir)
				> $filedir
                ;;
				
		restart)
				# stop the process
				echo "Restarting......"
				kill $(cat $filedir)
				$appdest &
				
				sleep 5
				
				var=$!
				echo $var > "$filedir"
				;;
				
        *)
				# default
                echo "usage: $0 {start|stop|restart}"
                exit 1
                ;;
esac

exit 0
				