<?php
	
	require_once(__DIR__ . '/include/hereiam_files.php');
	
	$logfile_filename =  __DIR__ . "/config/hereiam.log";
	$config_filename =  __DIR__ . "/config/hereiam.config";

	//header("Refresh:10");

	if ($_SERVER['REQUEST_METHOD'] == 'POST')
	{
		//update the settings
		$posted_settings = array(
			"type"=>$_POST["type"],
			"partner"=>$_POST["partner"],
			"server"=>$_POST["server"],
			"url"=>$_POST["url"],
			"port"=>$_POST["port"],
			"username"=>$_POST["username"],
			"password"=>$_POST["password"],
			"hostname"=>$_POST["hostname"],
			"testurl"=>$_POST['testurl'],
			"testport"=>$_POST["testport"],
			"delay"=>$_POST["delay"],
			"address"=>$_POST["address"],
			"wildcard"=>($_POST["wildcard"] == 'yes' ? 'yes' : 'no'),
			"autocheck"=>($_POST["autocheck"] == 'yes' ? 'yes' : 'no'),
			"enabled"=>($_POST["enabled"] == 'yes' ? 'yes' : 'no')
			);
			
		
		if (hereiam_config_old($config_filename, $posted_settings))
		{
			hereiam_config_update($config_filename, $posted_settings);
				
			$log_output = "Config file updated\n";
			hereiam_log_append($logfile_filename, $log_output);
			
			
		}
		else
		{
			$log_output = "Config file updated not required\n";
			hereiam_log_append($logfile_filename, $log_output);
		}
		
		//because $settings does no survive accross the request methods (unless I create a session variable)
		//I just update here instead of only if config is old.
		unset($settings);
		$settings = &$posted_settings;
		unset($posted_settings);
		
	}
	
	else
	{
		//when loading, get the information from the config file
		unset($settings);
		$settings = hereiam_config($config_filename);
		
	}
	
	//get the log file information
	//$logfile = array_reverse(file("./hereiam.log"));
	$logfile = hereiam_log($logfile_filename, true, 20);
	
	//no matter what, the layout will still be rendered.
	$page_title = "hereIam";
	include "./layout.php";
?>